org.eclipse.wst.jsdt.chromium.debug.js.launch

## Class LaunchConstants

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.js.launch.LaunchConstants

    public final class LaunchConstants
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `ATTR_APP_ARGUMENTS`
`static java.lang.String` `ATTR_APP_PROJECT`
`static java.lang.String` `ATTR_APP_PROJECT_RELATIVE_PATH`
`static java.lang.String` `ATTR_BASE_URL`
`static java.lang.String` `ATTR_CHROMIUM_ARGUMENTS`
`static java.lang.String` `ATTR_CHROMIUM_URL`
`static java.lang.String` `ATTR_WIP_BACKEND_CURRENT_DEV`
`static java.lang.String` `CHROMIUM_LAUNCH_TYPE_ID`
`static int` `DEFAULT_PORT`
`static java.lang.String` `EMPTY`
`static java.lang.String` `EXACT_MATCH`
`static java.lang.String` `LOCALHOST`
`static java.lang.String` `MERGE`
`static java.util.List<java.lang.String>` `PREDEFIENED_WRAPPERS`
`static java.lang.String` `WIP_LAUNCH_CONFIGURATION_TYPE_ID`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY

    public static final java.lang.String EMPTY

See Also:
  Constant Field Values

#### LOCALHOST

    public static final java.lang.String LOCALHOST

See Also:
  Constant Field Values

#### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

#### CHROMIUM_LAUNCH_TYPE_ID

    public static final java.lang.String CHROMIUM_LAUNCH_TYPE_ID

See Also:
  Constant Field Values

#### ATTR_APP_PROJECT

    public static final java.lang.String ATTR_APP_PROJECT

See Also:
  Constant Field Values

#### ATTR_APP_PROJECT_RELATIVE_PATH

    public static final java.lang.String ATTR_APP_PROJECT_RELATIVE_PATH

See Also:
  Constant Field Values

#### ATTR_BASE_URL

    public static final java.lang.String ATTR_BASE_URL

See Also:
  Constant Field Values

#### ATTR_CHROMIUM_URL

    public static final java.lang.String ATTR_CHROMIUM_URL

See Also:
  Constant Field Values

#### WIP_LAUNCH_CONFIGURATION_TYPE_ID

    public static final java.lang.String WIP_LAUNCH_CONFIGURATION_TYPE_ID

See Also:
  Constant Field Values

#### ATTR_WIP_BACKEND_CURRENT_DEV

    public static final java.lang.String ATTR_WIP_BACKEND_CURRENT_DEV

See Also:
  Constant Field Values

#### ATTR_APP_ARGUMENTS

    public static final java.lang.String ATTR_APP_ARGUMENTS

See Also:
  Constant Field Values

#### ATTR_CHROMIUM_ARGUMENTS

    public static final java.lang.String ATTR_CHROMIUM_ARGUMENTS

See Also:
  Constant Field Values

#### MERGE

    public static final java.lang.String MERGE

See Also:
  Constant Field Values

#### EXACT_MATCH

    public static final java.lang.String EXACT_MATCH

See Also:
  Constant Field Values

#### PREDEFIENED_WRAPPERS

    public static final java.util.List<java.lang.String> PREDEFIENED_WRAPPERS